Product comparison · 2 wireless routers

FRITZ!Box 4020 vs TP-Link Archer D20 AC750

Add a product
  • 20specifications compared
  • 9differ
  • 11identical
  • 43known for one product only

Key differences

  • Wi-Fi band
    • FRITZ!Box 4020:Single-band (2.4 GHz)
    • Archer D20 AC750:Dual-band (2.4 GHz / 5 GHz)
  • Product colour
    • FRITZ!Box 4020:Red, White
    • Archer D20 AC750:Black
  • Depth
    • FRITZ!Box 4020:120 mm
    • Archer D20 AC750:141 mm
  • Height
    • FRITZ!Box 4020:48 mm
    • Archer D20 AC750:33.7 mm
  • Width
    • FRITZ!Box 4020:166 mm
    • Archer D20 AC750:202 mm
  • USB version
    • FRITZ!Box 4020:2.0
    • Archer D20 AC750:1.1
  • xDSL connection
    • FRITZ!Box 4020:No
    • Archer D20 AC750:Yes

Side by side

Differences highlightedShow differences only (off)
Comparison of FRITZ!Box 4020, Archer D20 AC750
63 specifications
Wireless LAN features1 differ
Wi-Fi bandDiffersSingle-band (2.4 GHz)Dual-band (2.4 GHz / 5 GHz)
Top Wi-Fi standardKnown for oneWi-Fi 4 (802.11n)Unknown — not stated by the source
WLAN data transfer rate (max)Known for one450 Mbit/sUnknown — not stated by the source
Wi-Fi standardsKnown for one802.11b, 802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
Network1 differ
Ethernet LANYesYes
Ethernet LAN interface typeFast EthernetFast Ethernet
Ethernet LAN data rates10,100 Mbit/s10,100 Mbit/s
Cabling technology10/100Base-T(X)10/100Base-T(X)
Networking standardsDiffersIEEE 802.11b, IEEE 802.11g, IEEE 802.11nIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.3, IEEE 802.3ab, IEEE 802.3u
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportKnown for oneUnknown — not stated by the sourcePPTP, L2TP, IPSec Passthrough
Ports & interfacesidentical
Ethernet LAN (RJ-45) ports44
USB portYesYes
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
DC-in jackKnown for oneUnknown — not stated by the sourceYes
USB 2.0 ports quantityKnown for one1Unknown — not stated by the source
Management featuresidentical
Web-based managementKnown for oneUnknown — not stated by the sourceYes
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Reset buttonKnown for oneUnknown — not stated by the sourceYes
Security1 differ
Security algorithmsDiffersWPA2128-bit WEP, 64-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
FirewallKnown for oneUnknown — not stated by the sourceYes
DoS attack preventionKnown for oneUnknown — not stated by the sourceYes
FilteringKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
IP address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
Protocolsidentical
DHCP clientYesYes
DHCP serverYesYes
Universal Plug and Play (UPnP)Known for oneUnknown — not stated by the sourceYes
Management protocolsKnown for oneUnknown — not stated by the sourceSSL for TR-069, SNMP v1/2c
Data link protocolsKnown for oneUnknown — not stated by the sourceIPv4, IPv6
Supported network protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0, PPP over ATM (RFC 2364), PPP over Ethernet (RFC2516), IPoA (RFC1577/2225), MER\IPoE (RFC 1483 Routed), Bridge (RFC1483 Bridge), PVC
Design1 differ
Product colourDiffersRed, WhiteBlack
LED indicatorsKnown for oneUnknown — not stated by the sourceYes
On/off switchKnown for oneUnknown — not stated by the sourceYes
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45), Phone (RJ-11)
AC adapter includedKnown for oneUnknown — not stated by the sourceYes
Quick start guideYesYes
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceCE, FCC, RCM, RoHS
Antennaidentical
Antenna designKnown for oneUnknown — not stated by the sourceExternal
Antennas quantityKnown for oneUnknown — not stated by the source2
Detachable antenna(s)Known for oneUnknown — not stated by the sourceYes
Transmit powerKnown for oneUnknown — not stated by the source0 dBmW
Operational conditionsidentical
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Weight & dimensions3 differ
DepthDiffers120 mm141 mm
HeightDiffers48 mm33.7 mm
WidthDiffers166 mm202 mm
WeightKnown for one200 gUnknown — not stated by the source
Other features2 differ
Frequency bandKnown for oneUnknown — not stated by the source2.4 & 5
Rack mountingNoNo
USB ports quantity11
USB versionDiffers2.01.1
xDSL connectionDiffersNoYes
Mobile network connectionKnown for oneYesUnknown — not stated by the source
Bandwidth (first)Known for one2.4 GHzUnknown — not stated by the source
WLAN data transfer rates supportedKnown for one450 Mbit/sUnknown — not stated by the source
WAN connectionidentical
Ethernet WANKnown for oneYesUnknown — not stated by the source
Mobile networkidentical
3GKnown for oneYesUnknown — not stated by the source
4GKnown for oneYesUnknown — not stated by the source
Poweridentical
Power consumption (typical)Known for one7 WUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons